pcl::visualization::context_items::Line Struct Reference

`#include <pcl/visualization/vtk/pcl_context_item.h>`

Inheritance diagram for pcl::visualization::context_items::Line:

## Public Member Functions

| vtkTypeMacro (Line, PCLContextItem)
virtual bool | Paint (vtkContext2D *painter)
virtual void | set (float _x_1, float _y_1, float _x_2, float _y_2)
Public Member Functions inherited from pcl::visualization::PCLContextItem
| vtkTypeMacro (PCLContextItem, vtkContextItem)
void | setColors (unsigned char r, unsigned char g, unsigned char b)
void | setColors (unsigned char rgb[3])
void | setOpacity (double opacity)

## Static Public Member Functions

static Line * | New ()
Static Public Member Functions inherited from pcl::visualization::PCLContextItem
static PCLContextItem * | New ()

## Additional Inherited Members

Public Attributes inherited from pcl::visualization::PCLContextItem
unsigned char | colors [3]
double | opacity
std::vector< float > | params

## Detailed Description

Definition at line 98 of file pcl_context_item.h.

## Member Function Documentation

static Line* pcl::visualization::context_items::Line::New | ( |  | ) |

static

virtual bool pcl::visualization::context_items::Line::Paint | ( | vtkContext2D * | painter | ) |

virtual

Reimplemented from pcl::visualization::PCLContextItem.

virtual void pcl::visualization::context_items::Line::set | ( | float | _x_1,
|  | float | _y_1,
|  | float | _x_2,
|  | float | _y_2
| ) |  |

virtual

pcl::visualization::context_items::Line::vtkTypeMacro | ( | Line | ,
|  | PCLContextItem |
| ) |  |

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/visualization/include/pcl/visualization/vtk/pcl_context_item.h